### Function

# Dex file_query_exists

since: 0.6

#### Declaration [src]

    DexFuture*
    dex_file_query_exists (
      GFile* file
    )

#### Description [src]

Queries to see if `file` exists asynchronously.

Available since: 0.6

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that will resolve with `TRUE` if the file exists, otherwise reject with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.